Bug 453498 - Creating an RPM fails for 2.6.25.6 when Xen is selected without optimize size
Creating an RPM fails for 2.6.25.6 when Xen is selected without optimize size
Status: CLOSED DUPLICATE of bug 126342
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-30 21:34 EDT by stanl
Modified: 2008-07-03 01:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-30 23:22:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stanl 2008-06-30 21:34:33 EDT
Description of problem:
While compiling the latest redhat kernel from the src RPM, if Xen is selected in
make menuconfig and optimize for size is not, the build fails with Error 1 and
Error 2 because it can't resolve the symbol __udivdi3 in /xen/time.c

Version-Release number of selected component (if applicable):
2.6.25.6-55 src RPM

How reproducible:
Every time.


Steps to Reproduce:
1.install linux kernel 2.6.25.6-55 from fedora 9
2.make menuconfig, make sure xen enabled, optimize for size is disabled
3.make binrpm-pkg
4.Everything will work until it is time to create the package, then it will
complain that it can't resolve __udivdi3
  
Actual results:
Error 1
Error 2


Expected results:
Exit 0, with package created under RPMS in home rpmbuild directory.


Additional info:
Comment 1 Dave Jones 2008-06-30 23:22:39 EDT

*** This bug has been marked as a duplicate of 126342 ***
Comment 2 Chuck Ebbert 2008-07-02 23:29:04 EDT
BTW this is fixed in 2.6.26...
Comment 3 stanl 2008-07-03 01:03:20 EDT
Thanks for the heads up.

Note You need to log in before you can comment on or make changes to this bug.